Delete File
curl --request DELETE \
--url https://api.moonshot.ai/v1/files/{file_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.moonshot.ai/v1/files/{file_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.moonshot.ai/v1/files/{file_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "file",
"deleted": true
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}Delete File
Deletes a previously uploaded file.
DELETE
/
v1
/
files
/
{file_id}
Delete File
Usage Example
Usage Example
client.files.delete(file_id=file_id)
Authorizations
The Authorization header expects a Bearer token. Use an MOONSHOT_API_KEY as the token. This is a server-side secret key. Generate one on the API keys page in your dashboard.
Path Parameters
The file identifier
Was this page helpful?
⌘I